cloudstack-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Mike Tutkowski (JIRA)" <j...@apache.org>
Subject [jira] [Closed] (CLOUDSTACK-4756) Can't install DEBs properly on Ubuntu 12.04
Date Sun, 29 Sep 2013 04:41:25 GMT

     [ https://issues.apache.org/jira/browse/CLOUDSTACK-4756?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Mike Tutkowski closed CLOUDSTACK-4756.
--------------------------------------


After removing cloudstack-agent and cloudstack-common:

mtutkowski@ubuntu:~$ sudo apt-get install cloudstack-agent
Reading package lists... Done
Building dependency tree       
Reading state information... Done
The following extra packages will be installed:
  cloudstack-common
The following NEW packages will be installed:
  cloudstack-agent cloudstack-common
0 upgraded, 2 newly installed, 0 to remove and 467 not upgraded.
Need to get 77.5 MB of archives.
After this operation, 83.4 MB of additional disk space will be used.
Do you want to continue [Y/n]? 
WARNING: The following packages cannot be authenticated!
  cloudstack-common cloudstack-agent
Install these packages without verification [y/N]? y
Get:1 http://localhost/cloudstack/repo/ binary/ cloudstack-common 4.3.0 [38.5 MB]
Get:2 http://localhost/cloudstack/repo/ binary/ cloudstack-agent 4.3.0 [39.1 MB]
Fetched 77.5 MB in 2s (33.4 MB/s)           
Selecting previously unselected package cloudstack-common.
(Reading database ... 168553 files and directories currently installed.)
Unpacking cloudstack-common (from .../cloudstack-common_4.3.0_all.deb) ...
Selecting previously unselected package cloudstack-agent.
Unpacking cloudstack-agent (from .../cloudstack-agent_4.3.0_all.deb) ...
Processing triggers for ureadahead ...
Setting up cloudstack-common (4.3.0) ...
Setting up cloudstack-agent (4.3.0) ...
Upgrade succeed
libvirt-bin stop/waiting
libvirt-bin start/running, process 5220

> Can't install DEBs properly on Ubuntu 12.04
> -------------------------------------------
>
>                 Key: CLOUDSTACK-4756
>                 URL: https://issues.apache.org/jira/browse/CLOUDSTACK-4756
>             Project: CloudStack
>          Issue Type: Bug
>      Security Level: Public(Anyone can view this level - this is the default.) 
>          Components: KVM
>    Affects Versions: Future
>         Environment: Ubuntu 12.04
>            Reporter: Mike Tutkowski
>             Fix For: Future
>
>
> A script is missing the listNetworks() method as is seen below:
> mtutkowski@ubuntu:~$ sudo apt-get install cloudstack-agent
> Reading package lists... Done
> Building dependency tree       
> Reading state information... Done
> The following NEW packages will be installed:
>   cloudstack-agent
> 0 upgraded, 1 newly installed, 0 to remove and 468 not upgraded.
> Need to get 39.1 MB of archives.
> After this operation, 43.6 MB of additional disk space will be used.
> WARNING: The following packages cannot be authenticated!
>   cloudstack-agent
> Install these packages without verification [y/N]? y
> Get:1 http://localhost/cloudstack/repo/ binary/ cloudstack-agent 4.3.0 [39.1 MB]
> Fetched 39.1 MB in 0s (50.5 MB/s)           
> Selecting previously unselected package cloudstack-agent.
> (Reading database ... 168800 files and directories currently installed.)
> Unpacking cloudstack-agent (from .../cloudstack-agent_4.3.0_all.deb) ...
> Processing triggers for ureadahead ...
> Setting up cloudstack-agent (4.3.0) ...
> Traceback (most recent call last):
>   File "/usr/bin/cloudstack-agent-upgrade", line 51, in <module>
>     bridges = netlib.listNetworks()
> AttributeError: networkConfig instance has no attribute 'listNetworks'
> Looks like listNetworks() is called a couple times in cloudstack-agent-upgrade:
> if __name__ == '__main__':
>    netlib = networkConfig() 
>    bridges = netlib.listNetworks()
>    bridges = filter(isOldStyleBridge, bridges)
>    for br in bridges:
>        enslavedDev = netlib.getEnslavedDev(br, 1)
>        if enslavedDev is not None:
>            upgradeBridgeName(br, enslavedDev)
>    
>    bridges = netlib.listNetworks()
>    bridges = filter(isOldStyleBridge, bridges)
>    if len(bridges) > 0:
>        print("Warning: upgrade is not finished, still some bridges have the old style
name:" + str(bridges))
>    else:
>        print("Upgrade succeed")



--
This message was sent by Atlassian JIRA
(v6.1#6144)

Mime
View raw message